OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PBRep

# PBRep_PolygonOnClosedSurface Class Reference

`#include <PBRep_PolygonOnClosedSurface.hxx>`

Inheritance diagram for PBRep_PolygonOnClosedSurface:

[legend]

## Public Member Functions
Standard_EXPORT | PBRep_PolygonOnClosedSurface (const Handle(PPoly_Polygon2D)&P1, const Handle(PPoly_Polygon2D)&P2, const Handle(PGeom_Surface)&S, const PTopLoc_Location &L)
virtual Standard_EXPORT Standard_Boolean | IsPolygonOnClosedSurface () const
| returns True.
Standard_EXPORT Handle_PPoly_Polygon2D | Polygon2 () const
| PBRep_PolygonOnClosedSurface ()
| PBRep_PolygonOnClosedSurface (const Storage_stCONSTclCOM &a)
| Handle (PPoly_Polygon2D) _CSFDB_GetPBRep_PolygonOnClosedSurfacemyPolygon2() const
void | _CSFDB_SetPBRep_PolygonOnClosedSurfacemyPolygon2 (const Handle(PPoly_Polygon2D)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PPoly_Polygon2D | myPolygon2

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_PolygonOnClosedSurface::PBRep_PolygonOnClosedSurface | ( | const Handle(PPoly_Polygon2D)& | P1,
|  | const Handle(PPoly_Polygon2D)& | P2,
|  | const Handle(PGeom_Surface)& | S,
|  | const PTopLoc_Location & | L
| ) |

PBRep_PolygonOnClosedSurface::PBRep_PolygonOnClosedSurface | ( |  | ) | `[inline]`

PBRep_PolygonOnClosedSurface::PBRep_PolygonOnClosedSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PBRep_PolygonOnClosedSurface::_CSFDB_SetPBRep_PolygonOnClosedSurfacemyPolygon2 | ( | const Handle(PPoly_Polygon2D)& | p | ) | `[inline]`

Standard_EXPORT const PBRep_PolygonOnClosedSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_PolygonOnSurface.

PBRep_PolygonOnClosedSurface::Handle | ( | PPoly_Polygon2D |  | ) | const`[inline]`

| Reimplemented from PBRep_PolygonOnSurface.

virtual Standard_EXPORT Standard_Boolean PBRep_PolygonOnClosedSurface::IsPolygonOnClosedSurface | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_CurveRepresentation.

Standard_EXPORT Handle_PPoly_Polygon2D PBRep_PolygonOnClosedSurface::Polygon2 | ( |  | ) | const

## Field Documentation

Handle_PPoly_Polygon2D PBRep_PolygonOnClosedSurface::myPolygon2`[private]`

The documentation for this class was generated from the following file:

- PBRep_PolygonOnClosedSurface.hxx